FOREIGN_SUNRAS_WRITE_PSEUDO(3)

EXPERIMENTAL_FUNC
foreign_sunras_write_pseudo - Write a PseudoColor image to a channel in Sun rasterfile format.

SYNOPSIS
#include <karma_foreign.h>

flag foreign_sunras_write_pseudo

(Channel channel, CONST char *image, unsigned int type, uaddr *hoffsets, uaddr *voffsets, unsigned int width, unsigned int height, CONST unsigned short *cmap_reds, CONST unsigned short *cmap_greens, CONST unsigned short *cmap_blues, unsigned int cmap_size, unsigned int cmap_stride, double i_min, double i_max)

DESCRIPTION
Write a PseudoColor image to a channel in Sun rasterfile format.

channel
    The channel to write to. The channel is not flushed.

image
    The image data.

type
    The type of the image data.

hoffsets
    The array of horizontal byte offsets.

voffsets
    The array of vertical byte offsets.

width
    The width of the image.

height
    The height of the image.

cmap_reds
    The red colourmap values.

cmap_greens
    The green colourmap values.

cmap_blues
    The blue colourmap values.

cmap_size
    The number of colourmap entries.

cmap_stride
    The stride (in unsigned shorts) between colourmap values.

i_min
    The minimum image value. Image values below this will be clipped.

i_max
    The maximum image value. Image values above this will be clipped.

RETURN VALUE
TRUE on succes, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/